const { TextOfValueInOptions } = require("../EnumUtil")

const Options = [
  {value: "@matched", text: "Matched"},
  {value: "@unmatchedByTutor", text: "Unmatched By Tutor"},
  {value: "@unmatchedByTutee", text: "Unmatched By Tutee"},
  {value: "@recommendationDeclinedByTutor", text: "Tutor Reject"},
  {value: "@recommendationIgnoredByTutor", text: "Tutor Reject"},
  {value: "@recommendedToTutor", text: "Recommend To Tutor"}
]

const LanguageMatchStatus = {
  Matched: Options[0],
  UnMatchedByTutor: Options[1],
  UnMatchedByTutee: Options[2],
  RecommendationDeclinedByTutor: Options[3],
  RecommendationIgnoredByTutor: Options[4],
  RecommendedToTutor: Options[5],

  Text
}

function Text(value) {
  return TextOfValueInOptions(value, Options)
}

module.exports = {
  LanguageMatchStatus
}