const { TextOfValueInOptions } = require("../EnumUtil")

const Options = [
  {value: "@spring", text: "Spring"},
  {value: "@summer", text: "Summer"},
  {value: "@fall", text: "Fall"},
  {value: "@winter", text: "Winter"}
]


const Semester = {
  Spring: Options[0],
  Summer: Options[1],
  Fall: Options[2],
  Winter: Options[3],
  
  Options: Options,
  Text: Text,
  BeginMonth: SemesterBeginMonth,
  BeginMonthName: SemesterBeginMonthName,
  EndMonth: SemesterEndMonth
}

function Text(value) {
  return TextOfValueInOptions(value, Options)
}

function SemesterBeginMonth(semester) {
  switch(semester) {
    case Semester.Spring.value: return 1
    case Semester.Summer.value: return 5
    case Semester.Fall.value: return 8
    case Semester.Winter.value: return 12
  }
}

function SemesterBeginMonthName(semester) {
  switch(semester) {
    case Semester.Spring.value: return "January"
    case Semester.Summer.value: return "May"
    case Semester.Fall.value: return "August"
    case Semester.Winter.value: return "December"
  }
}

function SemesterEndMonth(semester) {
  switch(semester) {
    case Semester.Spring.value: return 4
    case Semester.Summer.value: return 7
    case Semester.Fall.value: return 11
    case Semester.Winter.value: return 12
  }
}


module.exports = {
  Semester
}