const { Enum } = require("../../Enum/Enum")
const { StringMax } = require("../../Validator/StringMax")

const MAX = StringMax.CourseSubjectMax

function IsCourseSubject(value) {
  if(value.length > MAX) return false 
  if(!Enum.CourseSubject.Text(value)) return false

  return true
}

const CourseSubjectValidator = {
  IsCourseSubject
}

module.exports = CourseSubjectValidator